package cn.hmsoft.pay.impl.weixin.entity;

import java.io.Serializable;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
 * 微信支付成功订单
 * 
 * @author: Zhang XiaoQing
 * @date: 2017-08-22 21:02:56
 * @version: 4.0.0
 * @email: revisit@126.com
 * @Company: www.hmsoft.cn
 */
@Table(tableName = "PAY_BILL_WEIXIN", keyColumn = "", sequenceName = "")
public class PayBillWeixin implements Serializable {
	private static final long serialVersionUID = -3088418889369985886L;
	private Integer bill_id;
	// 用户标识
	private String openid;
	// 是否关注公众账号 用户是否关注公众账号，Y-关注，N-未关注，仅在公众账号类型支付有效
	private String is_subscribe;
	// 交易类型 JSAPI、NATIVE、APP
	private String trade_type;
	// 付款银行
	private String bank_type;
	// 订单金额 订单总金额，单位为分
	private Integer total_fee;
	// 应结订单金额 应结订单金额=订单金额-非充值代金券金额，应结订单金额<=订单金额
	private Integer settlement_total_fee;
	// 货币种类
	private String fee_type;
	// 现金支付金额
	private Integer cash_fee;
	// 现金支付货币类型
	private String cash_fee_type;
	// 微信支付订单号
	private String transaction_id;
	// 商户系统的订单号，与请求一致
	private String out_trade_no;
	// 商家数据包，原样返回
	private String attach;
	// 支付完成时间
	private String time_end;

	public Integer getBill_id() {
		return this.bill_id;
	}

	public void setBill_id(Integer bill_id) {
		this.bill_id = bill_id;
	}

	/****
	 * 用户标识
	 */
	public String getOpenid() {
		return this.openid;
	}

	/****
	 * 用户标识
	 */
	public void setOpenid(String openid) {
		this.openid = openid;
	}

	/****
	 * 是否关注公众账号 用户是否关注公众账号，Y-关注，N-未关注，仅在公众账号类型支付有效
	 */
	public String getIs_subscribe() {
		return this.is_subscribe;
	}

	/****
	 * 是否关注公众账号 用户是否关注公众账号，Y-关注，N-未关注，仅在公众账号类型支付有效
	 */
	public void setIs_subscribe(String is_subscribe) {
		this.is_subscribe = is_subscribe;
	}

	/****
	 * 交易类型 JSAPI、NATIVE、APP
	 */
	public String getTrade_type() {
		return this.trade_type;
	}

	/****
	 * 交易类型 JSAPI、NATIVE、APP
	 */
	public void setTrade_type(String trade_type) {
		this.trade_type = trade_type;
	}

	/****
	 * 付款银行
	 */
	public String getBank_type() {
		return this.bank_type;
	}

	/****
	 * 付款银行
	 */
	public void setBank_type(String bank_type) {
		this.bank_type = bank_type;
	}

	/****
	 * 订单金额 订单总金额，单位为分
	 */
	public Integer getTotal_fee() {
		return this.total_fee;
	}

	/****
	 * 订单金额 订单总金额，单位为分
	 */
	public void setTotal_fee(Integer total_fee) {
		this.total_fee = total_fee;
	}

	/****
	 * 应结订单金额 应结订单金额=订单金额-非充值代金券金额，应结订单金额<=订单金额
	 */
	public Integer getSettlement_total_fee() {
		return this.settlement_total_fee;
	}

	/****
	 * 应结订单金额 应结订单金额=订单金额-非充值代金券金额，应结订单金额<=订单金额
	 */
	public void setSettlement_total_fee(Integer settlement_total_fee) {
		this.settlement_total_fee = settlement_total_fee;
	}

	/****
	 * 货币种类
	 */
	public String getFee_type() {
		return this.fee_type;
	}

	/****
	 * 货币种类
	 */
	public void setFee_type(String fee_type) {
		this.fee_type = fee_type;
	}

	/****
	 * 现金支付金额
	 */
	public Integer getCash_fee() {
		return this.cash_fee;
	}

	/****
	 * 现金支付金额
	 */
	public void setCash_fee(Integer cash_fee) {
		this.cash_fee = cash_fee;
	}

	/****
	 * 现金支付货币类型
	 */
	public String getCash_fee_type() {
		return this.cash_fee_type;
	}

	/****
	 * 现金支付货币类型
	 */
	public void setCash_fee_type(String cash_fee_type) {
		this.cash_fee_type = cash_fee_type;
	}

	/****
	 * 微信支付订单号
	 */
	public String getTransaction_id() {
		return this.transaction_id;
	}

	/****
	 * 微信支付订单号
	 */
	public void setTransaction_id(String transaction_id) {
		this.transaction_id = transaction_id;
	}

	/****
	 * 商户系统的订单号，与请求一致
	 */
	public String getOut_trade_no() {
		return this.out_trade_no;
	}

	/****
	 * 商户系统的订单号，与请求一致
	 */
	public void setOut_trade_no(String out_trade_no) {
		this.out_trade_no = out_trade_no;
	}

	/****
	 * 商家数据包，原样返回
	 */
	public String getAttach() {
		return this.attach;
	}

	/****
	 * 商家数据包，原样返回
	 */
	public void setAttach(String attach) {
		this.attach = attach;
	}

	/****
	 * 支付完成时间
	 */
	public String getTime_end() {
		return this.time_end;
	}

	/****
	 * 支付完成时间
	 */
	public void setTime_end(String time_end) {
		this.time_end = time_end;
	}

}